<div *ngIf="visible && gameManagerGame" style="position: absolute; top: 0px; left: 0px; width: 100vw; height: 100vh; background-color: #22222222;" #gameScraperDetailsContainer (click)="hide()">
    <div style="position: absolute; top: 50%; left: 50%; transform: translate(-50%,-50%); max-width: 800px; max-height: 600px; display: flex; flex-direction: column; align-items: stretch; border-radius: 20px; border: solid black 1px; padding: 10px; background-color: white;" (click)="$event.stopPropagation()">
        <div style="font-size: 18pt;">
            <div style="flex: 0 1 auto;">{{gameManagerGame?.name}}</div>
        </div>
        <div style="display: flex; flex: 0 1 auto; align-items: center; justify-items: center; justify-content: center;">
            <app-art-image [imageSrc]="gameManagerGame!.cover_image" style="width: 120px; height: 180px;"></app-art-image>
            <app-image-selector [(image)]="gameManagerGame!.art_image" [images]="images"></app-image-selector>
        </div>
        <div style="display: flex; flex: 0 1 auto;">
            <select *ngIf="game.releases" [(ngModel)]="release" name="release" ngDefaultControl style="flex: 1 0 auto;">
                <option [ngValue]="undefined" disabled selected>select a release</option>
                <option *ngFor="let r of game.releases" [ngValue]="r">{{!!r.region ? r.region.name : 'loading'}} | {{!!r.platform ? r.platform.name : 'loading'}} | {{r.name}}</option>
            </select>
        </div>
        <div style="display: flex; flex: 0 1 auto;">
            <DIV style="flex: 0 1 auto; width: 100%;">
                <input type="button" *ngIf="!game.releases || game.releases.length == 0 || release; else selectrelease" value="ADD GAME" style="width: 100%; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px;" (click)="addGame()"/>
                <ng-template #selectrelease><input type="button" value="ADD GAME" disabled="true" style="width: 100%; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px;"></ng-template>
            </DIV>
        </div>
    </div>
</div>